Bug 700346 - Review Request: perl-Barcode-Code128 - Generate CODE 128 bar codes
Review Request: perl-Barcode-Code128 - Generate CODE 128 bar codes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 03:57 EDT by Nicholas van Oudtshoorn
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Barcode-Code128-2.01-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 21:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicholas van Oudtshoorn 2011-04-28 03:57:46 EDT
Spec URL: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128.spec
SRPM URL: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128-2.01-1.fc14.src.rpm
Description:

Barcode::Code128 generates bar codes using the CODE 128 symbology. It can
generate images in PNG or GIF format using the GD package, or it can
generate a text string representing the barcode that you can render using
some other technology if desired.


This is one of the requirements for the Koha Library Management System.

Since I have not yet got any packages in the fedora repository, I am looking for a sponsor.
Comment 1 Iain Arnell 2011-04-28 04:45:29 EDT
Not an official review since I'm not a sponsor, but I hate to see tests simply disabled. There is a patch in https://rt.cpan.org/Public/Bug/Display.html?id=28369 that fixes t/png.t to compare images using gd, so you would only need to remove t/gif.t to have the remaining tests run successfully.
Comment 2 Nicholas van Oudtshoorn 2011-04-28 05:00:10 EDT
Ah! Silly me; don't know what I was thinking. I've updated the spec file and srpm linked above to incorporate that patch and remove t/gif.t

Thanks Iaian!
Comment 3 Iain Arnell 2011-05-19 12:13:02 EDT
(In reply to comment #1)
> Not an official review since I'm not a sponsor

I went and got myself promoted, so I *can* start the official review for you now.

One minor niggle before I start, though. When making changes to a package, please always increment the release number, update the changelog, rebuild the srpm, upload the new srpm and spec, and post the new link.
Comment 4 Iain Arnell 2011-05-19 12:20:19 EDT
Koji (FAILURE) http://koji.fedoraproject.org/koji/taskinfo?taskID=3081440
Comment 5 Iain Arnell 2011-05-19 12:25:35 EDT
Aha. It seems you also need to BuildRequire perl(GD). 

And as it's technically optional, rpm won't automatically detect this as a runtime dependency either. But since the module seems pretty useless without being able to produce images, I would suggest adding an explicit Requires: perl(GD) to the spec file too.
Comment 6 Nicholas van Oudtshoorn 2011-05-23 21:55:37 EDT
Hi Iain,

Thanks for taking a look. - Sorry for the late reply; I only get Tuesdays set aside to take a look at my packages. :(

Following you're comments above. The new files can be found at:

SRPM: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128-2.01-2.fc14.src.rpm

SPEC: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128.spec

PATCH: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128-testfix.patch
Comment 7 Iain Arnell 2011-05-23 23:10:13 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3088362
Comment 8 Iain Arnell 2011-05-23 23:48:34 EDT
Okay. That's much better now. There's still a few minor points that I should have mentioned earlier:

Although not explicitly mentioned in the packaging guidelines, it is implied that you should include your email address in the changelog entries (and it's certainly the convention to do so). See the examples: https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

And if you don't intend maintaining this in EPEL (all of these are still required for EPEL 4 and 5, though), there are a few simplifications that can be made (all of which would apply to your other packages too):

You don't need to specify the BuildRoot tag any more.

You don't need to 'rm -rf $RPM_BUILD_ROOT' at the start of %install section.

You don't need %clean section at all.

And in %files section, you can remove '%defattr(-,root,root,-)' line.


These minor changes aren't considered blockers, so in principle, I'm happy to approve this as is. Since you have some more packages ready, I'll go ahead and review them too before continuing with sponsorship, but so far it's looking pretty good.



koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3088362

Spec looks sane, clean and consistent; license is correct (Public Domain);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
aa08a87236998d8bc475e669a635c1e654b02073 Barcode-Code128-2.01.tar.gz
aa08a87236998d8bc475e669a635c1e654b02073 Barcode-Code128-2.01.tar.gz.srpm

Final provides / requires are sane:

======> perl-Barcode-Code128-2.01-2.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Barcode::Code128) = 2.01
perl-Barcode-Code128 = 2.01-2.fc16
====> requires
perl >= 0:5.004
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(GD)  
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(vars)  
====> obsoletes
====> conflicts

======> perl-Barcode-Code128-2.01-2.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(GD)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.9 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.9
INFO: Mock Version: 1.1.9
State Changed: lock buildroot
INFO: installing package(s): perl-Barcode-Code128-2.01-2.fc16.noarch.rpm
INFO: 
================================================================================
 Package              Arch   Version         Repository                    Size
================================================================================
Installing:
 perl-Barcode-Code128 noarch 2.01-2.fc16     /perl-Barcode-Code128-2.01-2.fc16.noarch
                                                                           42 k
Installing for dependencies:
 fontconfig           x86_64 2.8.0-3.fc15    fedora                       183 k
 freetype             x86_64 2.4.4-4.fc16    fedora                       356 k
 gd                   x86_64 2.0.35-12.fc15  fedora                       140 k
 libX11               x86_64 1.4.3-1.fc16    fedora                       581 k
 libX11-common        noarch 1.4.3-1.fc16    fedora                       174 k
 libXau               x86_64 1.0.6-2.fc15    fedora                        24 k
 libXpm               x86_64 3.5.8-3.fc15    fedora                        58 k
 libjpeg-turbo        x86_64 1.1.0-2.fc16    fedora                       117 k
 libpng               x86_64 2:1.2.44-3.fc15 fedora                       180 k
 libxcb               x86_64 1.7-2.fc15      fedora                       100 k
 perl-GD              x86_64 2.44-6.fc15     fedora                       181 k

Transaction Summary
================================================================================
Install      12 Package(s)

Total size: 2.1 M
Total download size: 181 k
Installed size: 6.6 M

Installed:
  perl-Barcode-Code128.noarch 0:2.01-2.fc16                                     

Dependency Installed:
  fontconfig.x86_64 0:2.8.0-3.fc15       freetype.x86_64 0:2.4.4-4.fc16        
  gd.x86_64 0:2.0.35-12.fc15             libX11.x86_64 0:1.4.3-1.fc16          
  libX11-common.noarch 0:1.4.3-1.fc16    libXau.x86_64 0:1.0.6-2.fc15          
  libXpm.x86_64 0:3.5.8-3.fc15           libjpeg-turbo.x86_64 0:1.1.0-2.fc16   
  libpng.x86_64 2:1.2.44-3.fc15          libxcb.x86_64 0:1.7-2.fc15            
  perl-GD.x86_64 0:2.44-6.fc15          


State Changed: unlock buildroot
Comment 9 Nicholas van Oudtshoorn 2011-05-24 02:16:11 EDT
Thanks Ian - Even though they're not major blockers, I've updated the spec/srpm accordingly.

SRPM: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128-2.01-3.fc14.src.rpm

SPEC: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128.spec

PATCH: http://dl.dropbox.com/u/8648526/perl-Barcode-Code128-testfix.patch
Comment 10 Iain Arnell 2011-05-31 00:12:45 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3101216
Comment 11 Iain Arnell 2011-05-31 00:18:28 EDT
Great, this package is APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3101216

Spec looks sane, clean and consistent; license is correct (Public Domain);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
aa08a87236998d8bc475e669a635c1e654b02073 Barcode-Code128-2.01.tar.gz
aa08a87236998d8bc475e669a635c1e654b02073 Barcode-Code128-2.01.tar.gz.srpm

Final provides / requires are sane:

======> perl-Barcode-Code128-2.01-3.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Barcode::Code128) = 2.01
perl-Barcode-Code128 = 2.01-3.fc16
====> requires
perl >= 0:5.004
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(GD)  
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(vars)  
====> obsoletes
====> conflicts

======> perl-Barcode-Code128-2.01-3.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(GD)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.10 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.10
INFO: Mock Version: 1.1.10
State Changed: lock buildroot
INFO: installing package(s): perl-Barcode-Code128-2.01-3.fc16.noarch.rpm
INFO: 
================================================================================
 Package              Arch   Version         Repository                    Size
================================================================================
Installing:
 perl-Barcode-Code128 noarch 2.01-3.fc16     /perl-Barcode-Code128-2.01-3.fc16.noarch
                                                                           42 k
Installing for dependencies:
 fontconfig           x86_64 2.8.0-3.fc15    fedora                       183 k
 freetype             x86_64 2.4.4-4.fc16    fedora                       356 k
 gd                   x86_64 2.0.35-12.fc15  fedora                       140 k
 libX11               x86_64 1.4.3-1.fc16    fedora                       581 k
 libX11-common        noarch 1.4.3-1.fc16    fedora                       174 k
 libXau               x86_64 1.0.6-2.fc15    fedora                        24 k
 libXpm               x86_64 3.5.8-3.fc15    fedora                        58 k
 libjpeg-turbo        x86_64 1.1.0-2.fc16    fedora                       117 k
 libpng               x86_64 2:1.2.44-3.fc15 fedora                       180 k
 libxcb               x86_64 1.7-2.fc15      fedora                       100 k
 perl-GD              x86_64 2.44-6.fc15     fedora                       181 k

Transaction Summary
================================================================================
Install      12 Package(s)

Total size: 2.1 M
Installed size: 6.6 M

Installed:
  perl-Barcode-Code128.noarch 0:2.01-3.fc16                                     

Dependency Installed:
  fontconfig.x86_64 0:2.8.0-3.fc15       freetype.x86_64 0:2.4.4-4.fc16        
  gd.x86_64 0:2.0.35-12.fc15             libX11.x86_64 0:1.4.3-1.fc16          
  libX11-common.noarch 0:1.4.3-1.fc16    libXau.x86_64 0:1.0.6-2.fc15          
  libXpm.x86_64 0:3.5.8-3.fc15           libjpeg-turbo.x86_64 0:1.1.0-2.fc16   
  libpng.x86_64 2:1.2.44-3.fc15          libxcb.x86_64 0:1.7-2.fc15            
  perl-GD.x86_64 0:2.44-6.fc15          


State Changed: unlock buildroot
State Changed: end
Comment 12 Iain Arnell 2011-05-31 00:48:15 EDT
Okay, I've seen some good work here and on the other packages I've reviewed, so I'm more than happy to sponsor you. You can go ahead and create an account in the fedora account system and I'll add you to the package maintainers group.

Congratulations and welcome to the team.
Comment 13 Iain Arnell 2011-07-03 01:33:42 EDT
Sorry for the delay. I've only just noticed that you're in the account system now. You should be able to continue now and import and build your packages.
Comment 14 Nicholas van Oudtshoorn 2011-07-12 23:59:21 EDT
New Package SCM Request
=======================
Package Name: perl-Barcode-Code128
Short Description: Generate CODE 128 bar codes
Owners: vanoudt
Branches: f15
InitialCC: perl-sig
Comment 15 Gwyn Ciesla 2011-07-14 19:36:54 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2011-07-14 21:03:44 EDT
perl-Barcode-Code128-2.01-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Barcode-Code128-2.01-3.fc15
Comment 17 Fedora Update System 2011-08-01 21:57:04 EDT
perl-Barcode-Code128-2.01-3.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.